# Uses of Class
org.kapott.hbci.structures.Value

Packages that use Value
Package
Description
org.kapott.hbci.GV
Dieses Package enthält alle Klassen zur internen Repräsentation von (Highlevel-)Jobs.
org.kapott.hbci.GV_Result
In diesem Package sind Klassen enthalten, die die Ergebnisse von HBCI-Jobs aufnehmen und auswerten.
org.kapott.hbci.structures
In diesem Package befinden sich einige Klassen, die Datenstrukturen zum besseren Handling oft wiederkehrender Elemente repräsentieren.
org.kapott.hbci.swift
Dieses Paket enthält Hilfsklassen für die Arbeit mit bankinternen Datenformaten.

## Uses of Value in org.kapott.hbci.GV

Methods in org.kapott.hbci.GV that return Value
Modifier and Type
Method
Description
`static Value`
SepaUtil.`sumBtgValueObject(Properties properties)`
Liefert ein Value-Objekt mit den Summen des Auftrages.
Methods in org.kapott.hbci.GV with parameters of type Value
Modifier and Type
Method
Description
`void`
HBCIJob.`setParam(String paramname, Integer index, Value v)`
`void`
HBCIJob.`setParam(String paramname, Value v)`
Setzen eines komplexen Job-Parameters (Geldbetrag).
`void`
HBCIJobImpl.`setParam(String paramname, Integer index, Value v)`
`void`
HBCIJobImpl.`setParam(String paramname, Value v)`
Setzen eines komplexen Job-Parameters (Geldbetrag).

## Uses of Value in org.kapott.hbci.GV_Result

Fields in org.kapott.hbci.GV_Result declared as Value
Modifier and Type
Field
Description
`Value`
GVRFestList.Entry.`anlagebetrag`
Angelegter Geldbetrag
`Value`
GVRDauerLastList.Dauer.`aus_newvalue`
Geänderter Betrag während Aussetzung (Nur gültig, wenn `aus_available` `true` ist) (optional)
`Value`
GVRDauerList.Dauer.`aus_newvalue`
Geänderter Betrag während Aussetzung (Nur gültig, wenn `aus_available` `true` ist) (optional)
`Value`
GVRSaldoReq.Info.`available`
Aktuell verfügbarer Betrag (optional)
`Value`
GVRFestList.Entry.Prolong.`betrag`
Neuer Betrag der Anlage
`Value`
GVRKUms.UmsLine.`charge_value`
Betrag für Gebühren des Geldverkehrs (optional)
`Value`
GVRAccInfo.AccInfo.`kredit`
Kreditlinie (optional)
`Value`
GVRSaldoReq.Info.`kredit`
Kreditlinie (optional)
`Value`
GVRCardList.CardInfo.`limit`
Kartenlimit (optional)
`Value`
GVRFestCondList.Cond.`maxbetrag`
Höchstanlagebetrag (optional)
`Value`
GVRFestCondList.Cond.`minbetrag`
Mindestanlagebetrag
`Value`
GVRKUms.UmsLine.`orig_value`
Ursprünglicher Betrag (bei ausländischen Buchungen; optional)
`Value`
GVRSaldoReq.Info.`used`
Bereits verfügter Betrag (optional)
`Value`
GVRDauerLastList.Dauer.`value`
Zu überweisender Betrag
`Value`
GVRDauerList.Dauer.`value`
Zu überweisender Betrag
`Value`
GVRKUms.UmsLine.`value`
Gebuchter Betrag
`Value`
GVRTermUebList.Entry.`value`
Zu überweisender Betrag
`Value`
GVRFestList.Entry.`zinsbetrag`
Voraussichtlicher Zinsertrag dieser Anlage (optional)

## Uses of Value in org.kapott.hbci.structures

Fields in org.kapott.hbci.structures declared as Value
Modifier and Type
Field
Description
`Value`
Limit.`value`
`Value`
Saldo.`value`
Betrag des Saldos.
Constructors in org.kapott.hbci.structures with parameters of type Value
Modifier
Constructor
Description
``
`Value(Value v)`
Erstellt eine neue Instanz eines Geldbetrag-Objektes als Kopie eines bestehenden Objektes.

## Uses of Value in org.kapott.hbci.swift

Fields in org.kapott.hbci.swift declared as Value
Modifier and Type
Field
Description
`Value`
DTAUS_CH.Transaction.`value`
`Value`
DTAUS.Transaction.`value`
Geldbetrag, der bei diesem Einzelauftrag überwiesen (Sammelüberweisungen) bzw.
Constructors in org.kapott.hbci.swift with parameters of type Value
Modifier
Constructor
Description
``
`Transaction(Konto other, Value value)`